# Each page blueprint must have a title, the title may be different from the file name
title: Album

# Each page can have an icon that is shown in page listings when no preview image is available.
icon: 🖼

# Page status can be limited, here to `draft` and `listed`.
# More about page status: https://getkirby.com/docs/reference/panel/blueprints/page#statuses
status:
  draft: true
  listed: true

# Define the form layout with two columns
# Columns are optional but help structure the form layout
# The first column defines an files section, the second a set of fields
# More about different types of sections: https://getkirby.com/docs/reference/panel/sections
# More about columns: https://getkirby.com/docs/guide/blueprints/layout#defining-columns

columns:
  - width: 2/3
    sections:
      ## The `images` files section shows all images of the current page that use the `image` template
      images:
        type: files
        layout: cards
        template: image
        info: "{{ file.dimensions }}"
        image:
          ratio: 5/4
          cover: true
        min: 1
        size: small

  - width: 1/3
    # The second column contains a set of fields
    # List of all available field types: https://getkirby.com/docs/reference/panel/fields
    fields:
      cover:
        type: files
        multiple: false
      headline:
        type: text
      description:
        type: textarea
      tags: true
